Index: code/branches/gamestates2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/gamestates2/src/orxonox/gamestates/GSLevel.cc	(revision 6594)
+++ code/branches/gamestates2/src/orxonox/gamestates/GSLevel.cc	(revision 6595)
@@ -69,14 +69,14 @@
         {
             gameInputState_ = InputManager::getInstance().createInputState("game");
-            gameInputState_->setMouseMode(MouseMode::Exclusive);
+            gameInputState_->setMouseExclusive(TriBool::True);
             gameInputState_->setHandler(KeyBinderManager::getInstance().getDefaultAsHandler());
             KeyBinderManager::getInstance().setToDefault();
 
             guiMouseOnlyInputState_ = InputManager::getInstance().createInputState("guiMouseOnly");
-            guiMouseOnlyInputState_->setMouseMode(MouseMode::Exclusive);
-            guiMouseOnlyInputState_->setMouseHandler(GUIManager::getInstancePtr());
+            guiMouseOnlyInputState_->setMouseExclusive(TriBool::True);
+            guiMouseOnlyInputState_->setMouseHandler(&GUIManager::getInstance());
 
             guiKeysOnlyInputState_ = InputManager::getInstance().createInputState("guiKeysOnly");
-            guiKeysOnlyInputState_->setKeyHandler(GUIManager::getInstancePtr());
+            guiKeysOnlyInputState_->setKeyHandler(&GUIManager::getInstance());
         }
 
Index: code/branches/gamestates2/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/gamestates2/src/orxonox/gamestates/GSMainMenu.cc	(revision 6594)
+++ code/branches/gamestates2/src/orxonox/gamestates/GSMainMenu.cc	(revision 6595)
@@ -53,6 +53,6 @@
         RegisterRootObject(GSMainMenu);
         inputState_ = InputManager::getInstance().createInputState("mainMenu");
-        inputState_->setMouseMode(MouseMode::Nonexclusive);
-        inputState_->setHandler(GUIManager::getInstancePtr());
+        inputState_->setMouseExclusive(TriBool::False);
+        inputState_->setHandler(&GUIManager::getInstance());
         inputState_->setKeyHandler(KeyBinderManager::getInstance().getDefaultAsHandler());
         inputState_->setJoyStickHandler(&InputHandler::EMPTY);
@@ -101,5 +101,5 @@
 
         KeyBinderManager::getInstance().setToDefault();
-        InputManager::getInstance().enterState("mainMenu");
+        //InputManager::getInstance().enterState("mainMenu");
 
         this->setConfigValues();
@@ -119,5 +119,5 @@
         }
 
-        InputManager::getInstance().leaveState("mainMenu");
+        //InputManager::getInstance().leaveState("mainMenu");
 
         GUIManager::getInstance().setCamera(0);
Index: code/branches/gamestates2/src/orxonox/overlays/CMakeLists.txt
===================================================================
--- code/branches/gamestates2/src/orxonox/overlays/CMakeLists.txt	(revision 6594)
+++ code/branches/gamestates2/src/orxonox/overlays/CMakeLists.txt	(revision 6595)
@@ -1,3 +1,4 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+  GUISheet.cc
   OrxonoxOverlay.cc
   OverlayGroup.cc
Index: code/branches/gamestates2/src/orxonox/overlays/GUISheet.cc
===================================================================
--- code/branches/gamestates2/src/orxonox/overlays/GUISheet.cc	(revision 6595)
+++ code/branches/gamestates2/src/orxonox/overlays/GUISheet.cc	(revision 6595)
@@ -0,0 +1,94 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "GUISheet.h"
+
+#include "core/CoreIncludes.h"
+#include "core/GUIManager.h"
+#include "core/XMLPort.h"
+
+namespace orxonox
+{
+    CreateFactory(GUISheet);
+
+    GUISheet::GUISheet(BaseObject* creator)
+        : BaseObject(creator)
+        , bShowOnLoad_(false)
+        , bShowCursor_(true)
+        , bHidePrevious_(false)
+    {
+        RegisterObject(GUISheet);
+
+        if (!GameMode::showsGraphics())
+            ThrowException(NoGraphics, "GUISheet construction failed: no graphics");
+    }
+
+    GUISheet::~GUISheet()
+    {
+    }
+
+    void GUISheet::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    {
+        SUPER(GUISheet, XMLPort, xmlElement, mode);
+
+        XMLPortParam(GUISheet, "showOnLoad",   setShowOnLoad,       getShowOnLoad,       xmlElement, mode);
+        XMLPortParam(GUISheet, "showCursor",   setCursorVisibility, getCursorVisibility, xmlElement, mode);
+        XMLPortParam(GUISheet, "hidePrevious", setPreviousHiding,   getPreviousHiding,   xmlElement, mode);
+        XMLPortParam(GUISheet, "script",       setScript,           getScript,           xmlElement, mode);
+    }
+
+    void GUISheet::show()
+    {
+        GUIManager::showGUI(this->script_, this->bHidePrevious_, this->bShowCursor_);
+    }
+
+    void GUISheet::hide()
+    {
+        GUIManager::hideGUI(this->script_);
+    }
+
+    void GUISheet::setScript(const std::string& filename)
+    {
+        this->script_ = filename;
+        GUIManager::getInstance().loadGUI(this->script_);
+        if (this->bShowOnLoad_)
+            this->show();
+    }
+
+    void GUISheet::setCursorVisibility(bool bShow)
+    {
+        this->bShowCursor_ = bShow;
+        // TODO: This call has no effect when already showing!
+    }
+
+    void GUISheet::setPreviousHiding(bool bHide)
+    {
+        this->bHidePrevious_ = bHide;
+        // TODO: This call has no effect when already showing!
+    }
+}
Index: code/branches/gamestates2/src/orxonox/overlays/GUISheet.h
===================================================================
--- code/branches/gamestates2/src/orxonox/overlays/GUISheet.h	(revision 6595)
+++ code/branches/gamestates2/src/orxonox/overlays/GUISheet.h	(revision 6595)
@@ -0,0 +1,76 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _GUISheet_H__
+#define _GUISheet_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include <string>
+#include "core/BaseObject.h"
+
+namespace orxonox
+{
+    //! Simple XML loadable interface to the otherwise Lua coded GUI framework.
+    class _OrxonoxExport GUISheet : public BaseObject
+    {
+    public:
+        GUISheet(BaseObject* creator);
+        ~GUISheet();
+
+        void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+
+        void show();
+        void hide();
+
+        void setScript(const std::string& filename);
+        inline const std::string& getScript() const
+            { return this->script_; }
+
+        inline void setShowOnLoad(bool bShow)
+            { this->bShowOnLoad_ = bShow; }
+        inline bool getShowOnLoad() const
+            { return this->bShowOnLoad_; }
+
+        void setCursorVisibility(bool bShow);
+        inline bool getCursorVisibility() const
+            { return this->bShowCursor_; }
+
+        void setPreviousHiding(bool bHide);
+        inline bool getPreviousHiding() const
+            { return this->bHidePrevious_; }
+
+    private:
+        std::string script_;
+        bool bShowOnLoad_;
+        bool bShowCursor_;
+        bool bHidePrevious_;
+  };
+}
+
+#endif /* _GUISheet_H__ */
